%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	A simple text editor for Xfce
Name:		mousepad
Version:	0.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    mousepad-root.desktop
Source2:    mousepad.desktop
BuildRequires: intltool
BuildRequires: git
BuildRequires: xfce4-dev-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel 
BuildRequires: lib64gdk_pixbuf2.0_0-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64gtksourceview4-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64xfconf-devel
BuildRequires: lib64gspell-devel

Requires:   gtksourceview
Requires:   lib64gtksourceview4_0

%description
Mousepad is a simple text editor for Xfce and originally based on Leafpad.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
export CFLAGS="%{optflags} -Wno-deprecated-declarations -pipe -ffast-math"

%configure2_5x \
	--enable-dbus=yes \
	--enable-keyfile-settings \
	--enable-gtksourceview4 \
	--disable-schemas-compile

%make_build

%install
rm -rf %buildroot
%make_install

install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/applications/org.xfce.mousepad-root.desktop
install -m 644 %SOURCE2 %{buildroot}/%{_datadir}/applications/org.xfce.mousepad.desktop

# we don't want these
find %{buildroot} -name "*.la" -delete

# no -devel pkg atm
rm -rf %{buildroot}%{_libdir}/libmousepad.so


%files
%{_bindir}
%{_datadir}
%{_libdir}/libmousepad.so.*
%{_libdir}/mousepad/plugins/libmousepad-plugin-gspell.so
%{_libdir}/mousepad/plugins/libmousepad-plugin-shortcuts.so

%post
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas
%update_menus

%postun
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas
%clean_menus

%changelog
* Tue Feb 06 2024 tex - 0.6.2-1pclos2024
- new version

* Wed May 17 2023 tex - 0.6.1-1pclos2023
- new version

* Thu Feb 09 2023 tex - 0.6.0-1pclos2023
- new version

* Fri Jul 15 2022 tex - 0.5.10-1pclos2022
- new version

* Sun Apr 17 2022 tex - 0.5.9-1pclos2022
- new version

* Fri Dec 03 2021 tex - 0.5.8-1pclos2021
- new version

* Sat Sep 25 2021 tex - 0.5.7-1pclos2021
- new version

* Sat Jul 31 2021 tex - 0.5.6-1pclos2021
- new version

* Wed May 19 2021 tex - 0.5.5-1pclos2021
- new version

* Mon Apr 05 2021 tex - 0.5.4-1pclos2021
- new version

* Sun Feb 28 2021 tex - 0.5.3-1pclos2021
- new version

* Sat Feb 27 2021 tex - 0.5.2-1pclos2021
- new version

* Sun Jan 17 2021 tex - 0.5.1-2pclos2021
- add root desktop file

* Wed Dec 23 2020 tex - 0.5.1-1pclos2020
- new version 0.5.1
